# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Carp-Fix-1_25
Version:	1.000001
Release:	30.%{__distinit}%{__distvers}
Summary:	Smooth over incompatible changes in Carp 1.25
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Carp-Fix-1_25
Source0:	https://cpan.metacpan.org/modules/by-module/Carp/Carp-Fix-1_25-%{version}.tar.gz
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Module::Build) >= 0.36
BuildRequires:	sed
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More) >= 0.88
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

%description
Carp 1.25 made a change to its formatting, adding a period at the end of the
message. This can mess up tests and code that are looking for error messages.
Carp::Fix::1_25 makes the message consistent, regardless of what version of
Carp you're using.

Carp::Fix::1_25 exports its own carp functions, which change the Carp message
to match the 1.25 version. Carp::Fix::1_25 otherwise acts exactly like Carp and
it will honor Carp global variables such as @CARP_NOT and %%Carp::Internal.

Why do this instead of just upgrading Carp? Upgrading Carp would affect all
installed code all at once. You might not be ready for that, or you might not
want your module to foist that on its users. This lets you fix things one
namespace at a time.

%prep
%setup -q -n Carp-Fix-1_25-%{version}

# Unbundle Test-Simple and use the system one (#998410)
rm -rf t/lib/Test
sed -i -e '/^t\/lib\/Test\//d' MANIFEST

%build
perl Build.PL --installdirs=vendor
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Carp/
%{_mandir}/man3/Carp::Fix::1_25.3*

%changelog
* Thu Mar  9 2023 Paul Howarth <paul@city-fan.org> - 1.000001-30
- Use SPDX-format license tag
- Use %%license unconditionally

* Wed Jun 12 2019 Paul Howarth <paul@city-fan.org> - 1.000001-18
- Modernize spec
  - BR: perl-generators unconditionally
  - BR: perl-interpreter rather than perl
  - Don't explicitly clean buildroot in %%install section
  - Drop explicit %%clean section
  - Drop legacy BuildRoot: and Group: tags
- Unbundle Test-Simple and use the system one (#998410)

* Mon Aug  8 2016 Paul Howarth <paul@city-fan.org> - 1.000001-10
- Classify buildreqs by usage
- Drop %%defattr, redundant since rpm 4.4
- Use %%license where possible

* Thu Aug 15 2013 Paul Howarth <paul@city-fan.org> - 1.000001-1
- Initial RPM version
